EDIT - bug #8063

multiple representations problem wirth collector being author of the registration citation
02/05/2019 11:56 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

This happened while entering the data for http://phycobank.org/100007 from scratch

1. created reference: Jahn, R, Abarca, N, Gemeinholzer, B & al., Planothidium lanceolatum and Planothicium frequentissimum
reinvestigated wieht molecular methods and morphology: four new species and the taxonomic importance of the sinus and
cavum in Diatom Research 32: 75-107. 2017 ( O.Skibbe is in the author team but not mentioned in the titleCache

2. created Planothidium victori Novis, Braidwood & Kilroy

3. created registration for existing name "Planothidium victori Novis, Braidwood & Kilroy"

4. Adding specimen type with O. Skbbe as collector

5. save specimen type editor --> Exception

eu.etaxonomy.vaadin.mvp.PopupEditorException: Error saving popup editor - context [user=admin] :E
dit registration (TypedEntityReference: Registration#1b997b3c-a704-480c-bab5-e5873927d325) > Speci
menTypeDesignationWorkingSetDTO (SpecimenTypeDesignationWorkingSetDTO: eu.etaxonomy.cdm.vaadin.mod
el.registration.SpecimenTypeDesignationWorkingSetDTO@43b70829)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.save (AbstractPopupEditor. java:448)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.lambda$0 (AbstractPopupEditor. java:174)

at sun.reflect.GeneratedMethodAccessorll0.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:200)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:163)

at com.vaadin.server.AbstractClientConnector.fireEvent (AbstractClientConnector.java:1015)

at com.vaadin.ui.Button.fireClick (Button.java:377)

at com.vaadin.ui.Button$l.click (Button.java:54)

at sun.reflect.GeneratedMethodAccessorl09.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:158)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:119)

at com.vaadin.server.communication.ServerRpcHandler.handleInvocation (ServerRpcHandler. java:437

at com.vaadin.server.communication.ServerRpcHandler.handleInvocations (ServerRpcHandler. java:40

at com.vaadin.server.communication.ServerRpcHandler.handleRpc (ServerRpcHandler. java:273)

at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest (UildlRequestHan
dler.java:90)

at com.vaadin.server.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHandler. java:
41)

at com.vaadin.server.VaadinService.handleRequest (VaadinService. java:1435)

at com.vaadin.server.VaadinServlet.service (VaadinServlet.java:380)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder.java:841)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler. java:1634)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
curityInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter
SecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagement
Filter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter (Anon

ymousAuthenticationFilter. java:111)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter. java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.
AwareFilter. java:48)

at org.springframework.
oxy.Jjava:330)

at org.springframework.

security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
nal (BasicAuthenticationFilter. java:158)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.oauth2.provider.authentication.OAuth2AuthenticationProcessingF
ilter.doFilter (OAuth2AuthenticationProcessingFilter. java:176)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

oxy.java:330)
at org.springframework.

120)

at org.springframework.

java:330)

at org.springframework.
.java:64)
at org.springframework.
at org.springframework.
.java:330)
at org.springframework.

security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.context.SecurityContextPersistenceFilter.doFilter (Security

ContextPersistenceFilter. java:91)

OXY .

at org.springframework
java:330)
at org.springframework

.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF

ilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework
at org.springframework

.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

oxy.java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21
3)

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy.j
ava:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26
2)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1621)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi

lter.java:121)
eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1228)
eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler. java:168)
eclipse.jetty.servlet.ServletHandler.doScope (ServlietHandler. java:481)
eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:1553)
eclipse. jetty.server.handler.ScopedHandler.nextScope (ScopedHandler. java:166)
eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler.java:1130)
eclipse. jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)
eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper. java:132)

.eclipse.jetty.server.Server.handle (Server. java:564)

eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:320)
eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:251)
eclipse.jetty.io.AbstractConnection$ReadCallback.succeeded (AbstractConnection. java:279)
eclipse.jetty.io.FillInterest.fillable(FillInterest.java:112)
eclipse.jetty.io.ChannelEndPoint$2.run (ChannelEndPoint. java:124)

.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:672)

eclipse.jetty.util.thread.QueuedThreadPool$2.run (QueuedThreadPool. java:590)

java.lang.Thread.run (Thread. java:748)
com.vaadin.data.fieldgroup.FieldGroup$CommitException: Commit failed
com.vaadin.data.fieldgroup.FieldGroup.commit (FieldGroup. java:509)
eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.save (AbstractPopupEditor. java:428)

by:

86
by:

more

com.vaadin.data.fieldgroup.FieldGroup$CommitException: Failed to store data to backend
vaadin.data.fieldgroup.FieldGroup.commit (FieldGroup. java:501)

java.lang.IllegalStateException: Multiple representations of the same entity [eu.etaxon
omy.cdm.model.agent .Person#26] are being merged. Detached: [Skibbe, 0.]; Detached: [Skibbe, 0.]
internal.SessionImpl.fireMerge (SessionImpl. java:850)
.event.internal.AbstractSaveEventListener.cascadeBeforeSave (AbstractSaveEventL

event.internal.DefaultMergeEventListener.entityIsTransient (DefaultMergeEventL

event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja

internal.SessionImpl.fireMerge (SessionImpl. java:850)
internal.SessionImpl.merge (SessionImpl. java:832)

.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)
hibernate.

engine.internal.Cascade.cascadeToOne (Cascade.java:398)
engine.internal.Cascade.cascadeAssociation (Cascade. java:323)
engine.internal.Cascade.cascadeProperty (Cascade. java:162)
engine.internal.Cascade.cascade (Cascade. java:111)

.event.internal.AbstractSaveEventListener.cascadeBeforeSave (AbstractSaveEventL

event.internal.DefaultMergeEventListener.entityIsTransient (DefaultMergeEventL
event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja

internal.SessionImpl.fireMerge (SessionImpl. java:850)
internal.SessionImpl.merge (SessionImpl. java:832)

.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)
hibernate.

engine.internal.Cascade.cascadeToOne (Cascade.java:398)
engine.internal.Cascade.cascadeAssociation (Cascade. java:323)
event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList

event.internal.DefaultMergeEventListener.entityIsPersistent (DefaultMergeEvent

event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja

event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja

internal.SessionImpl.fireMerge (SessionImpl. java:840)
internal.SessionImpl.merge (SessionImpl. java:822)

.internal.SessionImpl.merge (SessionImpl. java:827)

eu.etaxonomy.cdm.service.SpecimenTypeDesignationWorkingSetServiceImpl.save (SpecimenTypeDesi

gnationWorkingSetServiceImpl. java:197)

at
at
at
at
at

sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method. invoke (Method. java:498)
org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

04/20/2024

4/6




at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (
TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$SProxy235.save (Unknown Source)

at eu.etaxonomy.cdm.vaadin.view.name.SpecimenTypeDesignationWorkingsetEditorPresenter.saveBean
(SpecimenTypeDesignationWorkingsetEditorPresenter.java:270)

at eu.etaxonomy.cdm.vaadin.view.name.SpecimenTypeDesignationWorkingsetEditorPresenter.saveBean
(SpecimenTypeDesignationWorkingsetEditorPresenter. java:1l)

at eu.etaxonomy.vaadin.mvp.AbstractEditorPresenter.onkEditorSaveEvent (AbstractEditorPresenter.j
ava:107)

at sun.reflect.GeneratedMethodAccessorl59.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.vaadin.spring.events.internal.MethodListenerWrapper.publish (MethodListenerWrapper. java:
78)

at org.vaadin.spring.events.internal.ListenerCollection.publish(ListenerCollection.java:167)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:116)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus.java:109)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor$SaveHandler.postCommit (AbstractPopupEditor. java
:366)

89 more

Associated revisions

Revision fdce845e - 02/06/2019 11:08 AM - Andreas Kohlbecker

fix #8063 avoiding multiple representations problem by adding the the citation to the cache in case the registration is empty

History

#1 - 02/05/2019 11:58 AM - Andreas Kohlbecker
- Description updated

#2 - 02/05/2019 05:33 PM - Andreas Kohlbecker
- Description updated

#3 - 02/06/2019 11:09 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|fdce845e68f179442cec658779f8c8e5319d2ee?.

#4 - 02/06/2019 11:10 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

Should be fully solved but a second checking this would be great.

Please review once the server is updated.

#5 - 02/07/2019 06:44 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Checked with an analogous new example without any exception. Ticket can be closed.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/fdce845e68f179442cec658779f8c8e5319d2ee7

#6 - 02/07/2019 10:21 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
